Get TLD price data
GET
https://api.vercel.com/v1/registrar/tlds/{tld}/priceGet price data for a specific TLD. This only reflects base prices for the given TLD. Premium domains may have different prices. Use the Get price data for a domain endpoint to get the price data for a specific domain.
https://api.vercel.com/v1/registrar/tlds/{tld}/price
const response = await fetch('https://api.vercel.com/v1/registrar/tlds/tld/price?years=string&teamId=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "years": "123", "purchasePrice": "123", "renewalPrice": "123", "transferPrice": "123"}Errors
{ "status": "400", "code": "tld_not_supported", "message": "string"}400There was something wrong with the request
429TooManyRequests